From ff9a3a444147282509a9d12eb1c95ebf85d080b9 Mon Sep 17 00:00:00 2001
From: Ben Hutchings <ben@decadent.org.uk>
Date: Sun, 7 Aug 2011 23:32:41 +0100
Subject: [PATCH 1/2] Use umount -n to unmount directories that were mounted
 in chroot

Closes: #631087
---
 debian/changelog |    8 ++++++++
 functions        |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 38988e7..a5b9bea 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+debootstrap (1.0.34+nmu1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Use umount -n to unmount directories that were mounted in chroot.
+    Closes: #631087.
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sun, 07 Aug 2011 21:10:36 +0100
+
 debootstrap (1.0.34) unstable; urgency=low
 
   * Add more information regarding the version and architecture in case
diff --git a/functions b/functions
index fd94a59..819c296 100644
--- a/functions
+++ b/functions
@@ -918,7 +918,7 @@ UMOUNT_DIRS=
 
 umount_exit_function () {
 	for dir in $UMOUNT_DIRS; do
-		umount "$TARGET/${dir#/}" || true
+		umount -n "$TARGET/${dir#/}" || true
 	done
 }
 
-- 
1.7.5.4

